/* dlode.c by bill buckels 2009           */
/* a picture viewer for the apple II      */
/* written in Manx Aztec C65 Version 3.2b */
/* runs under DOS 3.3                     */
/* displays BSaved double hi-res Images   */

#include <g3.h>


int main()
{

 char picname[33];
 int c=999;

 if (dtlode("DLODE.TITLE") != 0) crt80();
 else c = 0;

 for (;;) {
	for (;;) {
		scr_clear();
		scr_apple();
		scr_curs (0, 0);
		catalog();
		printf("\nEnter Pic Name: ");
		gets(picname); /* get the filename */
		if (picname[0] == 0) {
			c = (-999);
			break;
		}
		/* set page 1 double hires */
		dhireson();
		/* if no title screen
		   clear the screen the first time
		   through, leave previous image
		   in the frame after that */
		if (c==999)dhrflood(0,0,79,191,0);
		c = dlode(picname);
		/* if no error wait for keypress
		   in the outside loop

		   if an error stay in
		   the inside loop

		   */
		if (c==0)break;
		dresoff();

		/* if an error notify the user,
		   wait for a keypress then
		   loop back to the name entry screen */
		scr_clear();
		scr_apple();
		scr_curs (2, 0);
		if (c == -1) printf("Can't open %s\n",picname);
		else printf("%s wrong format!\n",picname);
		printf("Press Any Key...");
		getch();
		c = 0;

	}
	/* if a blank was entered
	   return to DOS 3.3 */
	if (c == (-999)) break;

	/* no error so wait for a keypress */
	c = getch();
	/* set back to text mode */
	dresoff();
	if (c == 27) break;

  }
  scr_clear();
  scr_curs (0, 0);

  /* if being called from DOS 3.3 BASIC then reboot */
  /* return 0; */
  reboot();

}

